# Visualization
TKV3d
AIS

# AIS_BadEdgeFilter Class Reference

A Class
.

`#include <AIS_BadEdgeFilter.hxx>`

Inheritance diagram for AIS_BadEdgeFilter:

[legend]

## Public Member Functions

Standard_EXPORT | AIS_BadEdgeFilter ()
| Constructs an empty filter object for bad edges. .
virtual Standard_EXPORT Standard_Boolean | ActsOn (const TopAbs_ShapeEnum aType) const
| Returns true in an AIS local context, if this filter operates on a type of subshape defined in a filter class inheriting this framework. This function completes IsOk in an AIS local context. .
virtual Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&EO) const

Indicates that the selected Interactive Object
passes the filter. The owner, anObj, can be either
direct or user. A direct owner is the corresponding
construction element, whereas a user is the
compound shape of which the entity forms a part.
When an object is detected by the mouse - in AIS,
this is done through a context selector - its owner
is passed to the filter as an argument.
If the object returns Standard_True, it is kept; if
not, it is rejected.
If you are creating a filter class inheriting this
framework, and the daughter class is to be used in
an AIS local context, you will need to implement the
virtual function ActsOn.
.

Standard_EXPORT void | SetContour (const Standard_Integer Index)
| sets <mycontour> with current contour. used by IsOk.
Standard_EXPORT void | AddEdge (const TopoDS_Edge &anEdge, const Standard_Integer Index)
| Adds an edge to the list of non-selectionnable edges. .
Standard_EXPORT void | RemoveEdges (const Standard_Integer Index)
| removes from the list of non-selectionnable edges all edges in the contour <index>.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopTools_DataMapOfIntegerListOfShape | myBadEdges
Standard_Integer | myContour

## Constructor & Destructor Documentation

Standard_EXPORT AIS_BadEdgeFilter::AIS_BadEdgeFilter | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean AIS_BadEdgeFilter::ActsOn | ( | const TopAbs_ShapeEnum | aType | ) | const`[virtual]`

| Reimplemented from SelectMgr_Filter.

Standard_EXPORT void AIS_BadEdgeFilter::AddEdge | ( | const TopoDS_Edge & | anEdge,
|  | const Standard_Integer | Index
| ) |

Standard_EXPORT const AIS_BadEdgeFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_Filter.

virtual Standard_EXPORT Standard_Boolean AIS_BadEdgeFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | EO | ) | const`[virtual]`

| Implements SelectMgr_Filter.

Standard_EXPORT void AIS_BadEdgeFilter::RemoveEdges | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void AIS_BadEdgeFilter::SetContour | ( | const Standard_Integer | Index | ) |

## Field Documentation

TopTools_DataMapOfIntegerListOfShape AIS_BadEdgeFilter::myBadEdges `[private]`

Standard_Integer AIS_BadEdgeFilter::myContour `[private]`

The documentation for this class was generated from the following file:

- AIS_BadEdgeFilter.hxx